Ubuntu 11.04 reports "glibconfig.h not found"” when compiling ide from sources using make
Description

Because header was moved... needs export CPATH-=... to fix this, maybe we should try to fix that...

History

#1 - 05/18/2011 08:19 PM - Miroslav Fidler

- Assignee set to Jan Dolinar

any idea how to fix this? :)

| believe that is basically an ubuntu bug, but still...

#2 - 05/18/2011 09:50 PM - Jan Dolinar

According to Ubuntu documentation the default CPATH is ...$HOME/include:/usr/local/include, that doesn't help much :) For the makefiles, | chose the

simple solution of adding the two directories (for i386 and amd64) to include paths. Better solution would be to use pkg-config, that is the standard way,

but it is not guaranteed to be available on every system, so the default would have to be in the include paths anyway...

#3 - 11/04/2011 10:33 AM - Miroslav Fidler

Can we consider this fixed now? Can we close this?

| think the consensus is to add new potential include paths. Using pkg-config would be too platform dependant..

#4 - 11/09/2011 12:07 PM - Jan Dolinar
- Status changed from New to Approved

The paths have been added into the makefile that builds ubuntu packages as well as in the script that creates the default build method. The last place that
might need to add this is uppbox/Scripts/GCCMK.bm used for nightly builds, just to prevent surprise when the servers glib package is upgraded/updated

(but that is not an end-user issue).

Also, the same holds for directory /usr/include/gtk-3.0/gdk. | don't remember right now which file exactly was causing the trouble, but it was necessary to

add it on some systems with gtk-3.0 installed.

So the summary is that everything should work now and this issue can be closed.

12/14/2025 1/1




